package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.api.ExamDataCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.SaveExamDataReq;
import cn.com.qmth.examcloud.core.reports.api.response.SaveExamDataResp;
import cn.com.qmth.examcloud.core.reports.service.ExamDataService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "考试数据接口")
@RequestMapping("${$rmp.cloud.reports}" + "examData")
public class ExamDataCloudServiceProvider extends ControllerSupport implements ExamDataCloudService {

    /**
     * 
     */
    private static final long serialVersionUID = 4065377147777658448L;

    @Autowired
    private ExamDataService examDataService;

    @ApiOperation(value = "保存考试数据")
    @PostMapping("/save")
    @Override
    public SaveExamDataResp save(@RequestBody SaveExamDataReq req) {
        examDataService.save(req);
        return new SaveExamDataResp();
    }
}
