package cn.com.qmth.examcloud.core.reports.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.ProjectEntity;

public interface ProjectRepo extends JpaRepository<ProjectEntity, Long>,
		JpaSpecificationExecutor<ProjectEntity> {
	@Modifying
	@Query(value = "update ec_r_project set enable = ?3 where id in(?1) and root_org_id=?2 ", nativeQuery = true)
	int updateEnable(List<Long> ids, Long rootOrgId, Boolean enable);
	@Modifying
	@Query(value = "update ec_r_project set course_count = ?2,org_count=?3 where id =?1 ", nativeQuery = true)
	int updateProjectCourseOrgCount(Long id, Integer courseCount, Integer orgCount);
	@Modifying
	int deleteByIdAndRootOrgId(Long id, Long rootOrgId);
	@Query(value = "select * from ec_r_project where id in(?1) and root_org_id=?2 ", nativeQuery = true)
	List<ProjectEntity> getByIds(List<Long> ids, Long rootOrgId);
}
