package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.base.enums.AnalyseType;
import cn.com.qmth.examcloud.core.reports.base.enums.DataOrigin;
import cn.com.qmth.examcloud.core.reports.base.enums.ReportStatus;
import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;


@Entity
@Table(name = "ec_r_project",indexes = {
		@Index(name = "IDX_R_PROJECT_01", columnList = "rootOrgId", unique = false)})
public class ProjectEntity extends IdEntity {


    /**
	 * 
	 */
	private static final long serialVersionUID = 2211635731419184249L;

	//项目名
	@NotNull
    private String name;

    @NotNull
    private Long rootOrgId;
    
    //分析类型
    @Enumerated(EnumType.STRING)
    @NotNull
    private AnalyseType analyseType;
    
    //数据来源
    @Enumerated(EnumType.STRING)
    @NotNull
    private DataOrigin dataOrigin;
    
    //样本数量
    @NotNull
    private Integer sampleCount;
    
    //所选考试id
    private String examIds;
    
    //备注
    private String remarks;
    
    //启用禁用
    @NotNull
    private Boolean enable;
    
    //报表状态
    @Enumerated(EnumType.STRING)
    @NotNull
    private ReportStatus reportStatus;
    
    //中心数量
    private Integer orgCount;
    
    //课程数量
    private Integer courseCount;
    
    //及格分数
    private Double passScore;
    
    //满分分数
    private Double totalScore;
    
    //分数段数量
    private Integer partitionCount;
    
    //分数段详情json
    private String partitionDetails;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public AnalyseType getAnalyseType() {
		return analyseType;
	}

	public void setAnalyseType(AnalyseType analyseType) {
		this.analyseType = analyseType;
	}

	public DataOrigin getDataOrigin() {
		return dataOrigin;
	}

	public void setDataOrigin(DataOrigin dataOrigin) {
		this.dataOrigin = dataOrigin;
	}

	public Integer getSampleCount() {
		return sampleCount;
	}

	public void setSampleCount(Integer sampleCount) {
		this.sampleCount = sampleCount;
	}

	public String getExamIds() {
		return examIds;
	}

	public void setExamIds(String examIds) {
		this.examIds = examIds;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public ReportStatus getReportStatus() {
		return reportStatus;
	}

	public void setReportStatus(ReportStatus reportStatus) {
		this.reportStatus = reportStatus;
	}

	public Integer getOrgCount() {
		return orgCount;
	}

	public void setOrgCount(Integer orgCount) {
		this.orgCount = orgCount;
	}

	public Integer getCourseCount() {
		return courseCount;
	}

	public void setCourseCount(Integer courseCount) {
		this.courseCount = courseCount;
	}

	public Double getPassScore() {
		return passScore;
	}

	public void setPassScore(Double passScore) {
		this.passScore = passScore;
	}

	public Integer getPartitionCount() {
		return partitionCount;
	}

	public void setPartitionCount(Integer partitionCount) {
		this.partitionCount = partitionCount;
	}

	public String getPartitionDetails() {
		return partitionDetails;
	}

	public void setPartitionDetails(String partitionDetails) {
		this.partitionDetails = partitionDetails;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}
    
    
}
