package cn.com.qmth.examcloud.core.reports.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.reports.base.util.online.ActiveDataUtil;
import cn.com.qmth.examcloud.core.reports.base.util.online.OnlineCount;
import cn.com.qmth.examcloud.core.reports.dao.UserCountRepo;
import cn.com.qmth.examcloud.core.reports.dao.entity.UserCountEntity;
import cn.com.qmth.examcloud.core.reports.service.UserCountService;

@Service
public class UserCountServiceImpl implements UserCountService {
	@Autowired
	private UserCountRepo userCountRepo;
	@Autowired
	private JdbcTemplate jdbcTemplate;

	@Override
	public Long getOnlineCount(Long rootOrgId, Long orgId) {
		StringBuffer sb = new StringBuffer();
		sb.append(" select sum(t.online_count) from ec_r_user_count t where t.root_org_id=").append(rootOrgId);
		if (orgId != null) {
			sb.append(" and t.org_id=").append(orgId);
		}
		Long count = jdbcTemplate.queryForObject(sb.toString(), Long.class);
		if (count == null) {
			count = 0l;
		}
		return count;
	}

	@Transactional
	@Override
	public synchronized void saveCount() {
		userCountRepo.resetAllCount();
		List<OnlineCount> ret = ActiveDataUtil.getUserCount(null);
		if (ret != null) {
			for (OnlineCount oc : ret) {
				addOrUpdateCount(oc);
			}
		}
	}

	private void addOrUpdateCount(OnlineCount oc) {
		UserCountEntity e = userCountRepo.findByRootOrgId(oc.getRootOrgId());
		if (e == null) {
			e = new UserCountEntity();
			e.setRootOrgId(oc.getRootOrgId());
			Date now=new Date();
			e.setCreationTime(now);
			e.setUpdateTime(now);
		}
		e.setOnlineCount(oc.getOnlineCount());
		userCountRepo.save(e);
	}
}
