package cn.com.qmth.examcloud.core.reports.starter;

import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;


@ComponentScan(basePackages = { "cn.com.qmth" })
@EntityScan(basePackages = { "com.qmth.commons", "cn.com.qmth" })
@SpringBootApplication
@EnableJpaAuditing
@EnableEurekaClient
@EnableFeignClients
@EnableJpaRepositories(basePackages = {"cn.com.qmth"})
@EnableAutoConfiguration
public class CoreReportsApp {
	static {
		String runtimeLevel = System.getProperty("log.commonLevel");
		if (null == runtimeLevel) {
			System.setProperty("log.commonLevel", "INFO");
		}
		System.setProperty("hibernate.dialect.storage_engine", "innodb");
	}

	public static void main(String[] args) throws Exception {

		AppBootstrap.run(CoreReportsApp.class,args);
	}
}
